from PIL import Image 

PATH = "/home/cugur/Downloads/matf/dozs/2024/week2/data/yugo.jpg"

with Image.open(PATH) as img:

    # Originalna slika je matrica piksela 
    print("Orginalna slika je matrica piksela dimenzija: {}".format(img.size))
    img.show()

    # Transponovanje slike 
    img1 = img.transpose(Image.TRANSPOSE)
    print("Transponovana slika: {}".format(img1.size))
    img1.show()

    # Zadatak - koriscenjem rotacije (prethodni primer) anulirati rezultat transponovanja slike (img1).
    #img2 = img1.rotate(360)
    #img2.show()

    # Zakljucak - rotacije ne mogu anulirati transponovanje 

    # Resenje: - dodatno transponovanje 
    img3 = img1.transpose(Image.FLIP_TOP_BOTTOM).rotate(-90, expand=True)
    img3.show()

    # Alternativa: 
    img4 = img1.transpose(Image.FLIP_LEFT_RIGHT).rotate(90, expand=True)
    img4.show()

    